%define major        1
%define libname      %mklibname %{name} %{major}
%define libnamedev   %mklibname %{name} -d

Name:           openctm
Version:        1.0.3
Release:        %mkrel 13
Epoch:          0
Summary:        Library for compression of 3D triangle meshes
License:        zlib
Group:          System/Libraries
URL:            http://openctm.sourceforge.net/
Source0:        https://sourceforge.net/projects/openctm/files/OpenCTM-%{version}/OpenCTM-%{version}-src.tar.bz2
Patch0:         makefiles.patch
BuildRequires:  jpeg8-devel
BuildRequires:  glew-devel
BuildRequires:  freeglut-devel
BuildRequires:  zlib-devel
BuildRequires:  gtk2-devel
BuildRequires:  pnglite-devel
BuildRequires:  tinyxml-devel
BuildRequires:  python-devel
BuildRequires:  python3-devel
BuildRequires:  dos2unix
BuildRequires:  rply-devel

%description
OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, 
a software library and a tool set for compression of 3D triangle meshes. 
The geometry is compressed to a fraction of comparable file formats, 
and the format is easily accessible through a simple, portable API. 

%package -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries
Provides:	lib%{name} = %{epoch}:%{version}-%{release}

%description -n %{libname}
OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, 
a software library and a tool set for compression of 3D triangle meshes. 
The geometry is compressed to a fraction of comparable file formats, 
and the format is easily accessible through a simple, portable API.

This package contains the OpenCTM runtime library.

%package -n %{libnamedev}
Summary:        Header files and libraries for development with %{name}
Group:          Development/C
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Provides:       lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{libnamedev}
Header files and libraries for development with %{name}.

%package -n python-%{name}
Summary:        Python bindings for %{name}
Group:          Development/Python
BuildArch:      noarch
Requires:       lib%{name} = %{epoch}:%{version}-%{release}

%description -n python-openctm
OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, 
a software library and a tool set for compression of 3D triangle meshes. 
The geometry is compressed to a fraction of comparable file formats, 
and the format is easily accessible through a simple, portable API.

This package contains Python binding for OpenCTM library.

%package -n python3-%{name}
Summary:        Python 3 bindings for %{name}
Group:          Development/Python
BuildArch:      noarch
Requires:       lib%{name} = %{epoch}:%{version}-%{release}

%description -n python3-%{name}
OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, 
a software library and a tool set for compression of 3D triangle meshes. 
The geometry is compressed to a fraction of comparable file formats, 
and the format is easily accessible through a simple, portable API.

This package contains Python 3 binding for OpenCTM library.

%package doc
Summary:        Documentation for %{name} library and tools
Group:          System/Libraries
BuildArch:      noarch

%description doc
OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, 
a software library and a tool set for compression of 3D triangle meshes. 
The geometry is compressed to a fraction of comparable file formats, 
and the format is easily accessible through a simple, portable API.

This package contains %{name} documentation.

%prep
%setup -q -n OpenCTM-%{version}
rm -f doc/DevelopersManual.pdf
rm -f doc/FormatSpecification.pdf
rm -rf tools/glew
rm -rf tools/jpeg
rm -rf tools/pnglite
rm -rf tools/tinyxml
rm -rf tools/zlib
dos2unix lib/Makefile.linux
%patch0 -p1 

ln -s -f Makefile.linux Makefile

%build
%make LIBDIR=%{_libdir}/

%install
%{makeinstall_std} LIBDIR=%{_libdir}/

mkdir -p %{buildroot}%{python2_sitelib}
mkdir -p %{buildroot}%{python3_sitelib}
install -m 644 bindings/python/openctm.py %{buildroot}%{python2_sitelib}/openctm.py
install -m 644 bindings/python/openctm.py %{buildroot}%{python3_sitelib}/openctm.py

%files
%doc README.txt
%{_bindir}/ctmconv
%{_bindir}/ctmviewer
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/*

%files -n python-%{name}
%doc bindings/python/ctminfo.py README.txt
%{python2_sitelib}/*

%files -n python3-%{name}
%doc bindings/python/ctminfo.py README.txt
%{python3_sitelib}/*

%files doc
%doc doc/APIReference/* README.txt



%changelog
* Tue Feb 16 2016 umeabot <umeabot> 0:1.0.3-13.mga6
+ Revision: 961938
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0:1.0.3-12.mga6
+ Revision: 887712
- rebuild for python 3.5

* Wed Sep 16 2015 philippem <philippem> 0:1.0.3-11.mga6
+ Revision: 879924
- change Makefile to produce debuginfo

* Mon Aug 24 2015 sander85 <sander85> 0:1.0.3-10.mga6
+ Revision: 869144
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 0:1.0.3-9.mga6
+ Revision: 842029
- Rebuild for GLEW 1.12

* Wed Oct 15 2014 umeabot <umeabot> 0:1.0.3-8.mga5
+ Revision: 750218
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:1.0.3-7.mga5
+ Revision: 727504
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:1.0.3-6.mga5
+ Revision: 683204
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 fwang <fwang> 0:1.0.3-5.mga5
+ Revision: 673566
- fix requires

* Fri Sep 05 2014 luigiwalser <luigiwalser> 0:1.0.3-4.mga5
+ Revision: 672250
- rebuild for glew

* Sat May 31 2014 pterjan <pterjan> 0:1.0.3-3.mga5
+ Revision: 629699
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0:1.0.3-2.mga5
+ Revision: 628366
- Rebuild for new Python

* Thu Nov 21 2013 philippem <philippem> 0:1.0.3-1.mga4
+ Revision: 552200
- add python, python3 and doc sub packages

* Wed Nov 20 2013 philippem <philippem> 0:1.0.3-0.mga4
+ Revision: 552104
- imported package openctm

